
QGIS Application - Bug report #14742

QGIS 32 bits doesn't save default attribute id field (integer64) values

2016-04-29 01:04 AM - Christophe Damour

Status: Closed

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:2.8.8 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 22700

Description

Default id field type for a newly created shape file is Integer64 on QGIS 32 bits.

Because of this, QGIS doesn't save values that are entered in that field.

Same problem for a newly created field with length of 10.

Related issues:

Related to QGIS Application - Bug report # 14546: Reads Long Integers/integer... Closed 2016-03-22

History

#1 - 2017-05-01 01:05 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
